'''
Created on Jan 22, 2011
Modified on Apr 22, 2011
@author: Dilum Bandara
@version: 0.2
@copyright: Copyright(c) 2011, Dilum Bandara
@license: GPL
'''

from BaseClasses.BasePeer import BasePeer

class Peer(BasePeer):
    '''
    Peer class. Contains node ID, key, its attribute set, & list of resources
    indexed at node.
    Initially named as Node class
    '''
    
    def __init__(self, id, keys, num_rings):
        super(Peer, self).__init__(id, keys, num_rings)
